set grid
# init graph
#set log y
#set format y "%.1e"
set timefmt "%s"
set format x "%y/%m/%d - %H:%M:%S"
set xdata time
set xtics rotate by 90 right




file1 = '/home/sicav/server/data/2017/2017-03/20170308-150806-AG34972A.dat'
file2 = '/home/sicav/server/data/2017/2017-03/20170309-150807-AG34972A.dat'
file3 = '/home/sicav/server/data/2017/2017-03/20170310-150807-AG34972A.dat'
file4 = '/home/sicav/server/data/2017/2017-03/20170311-150807-AG34972A.dat'
file5 = '/home/sicav/server/data/2017/2017-03/20170312-150808-AG34972A.dat'
file6 = '/home/sicav/server/data/2017/2017-03/20170313-150808-AG34972A.dat'
file7 = '/home/sicav/server/data/2017/2017-03/20170314-150809-AG34972A.dat'

N_dec =1
Tamb = 273.15


# formula for NTC 10k: T = 1 / ( A + B * ln(R) + C * ln(R)^3)
A = 2.108508173e-3
B = 0.7979204727e-4
C = 6.535076315e-7
T(R) = 1 / (A + B*log(R) + C*log(R)**(3) ) - Tamb

#formula for PT 100 Ohms in °C:
kpt = 0.003916
Tpt(R) = ((R-100)/(100*kpt))-0.9264

#plot file1 u 1:(Tpt($3)) every N_dec title 'Labo (ch 101)' lc 'red' w l, file2 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l, file3 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l

#replot file1 u 1:(Tpt($4)) every N_dec title 'Temp side - monitor (ch 104)' lc 'blue' w l, file2 u 1:(Tpt($4)) every N_dec title '' lc 'blue' w l, file3 u 1:(Tpt($4)) every N_dec title '' lc 'blue' w l

#replot file1 u 1:(T($5)) every N_dec title 'Control side - monitor (ch 105)' lc 'purple' w l, file2 u 1:(T($5)) every N_dec title '' lc 'purple' w l, file3 u 1:(T($5)) every N_dec title '' lc 'purple' w l


#plot file1 u 1:(Tpt($3)) every N_dec title 'Labo (ch 101)' lc 'red' w l, file2  u 1:(Tpt($3)) every N_dec title '' lc 'red' w l, file3 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l, file4 u 1:(Tpt($3)) every 10 title '' lc 'red' w l

#replot file1 u 1:($4+22.21) every N_dec title 'PD DC Out+22.21 - monitor (ch 103)' lc 'black' w l, file2  u 1:($4+22.21) every N_dec title '' lc 'black' w l, file3 u 1:($4+22.21) every N_dec title '' lc 'black' w l, file4 u 1:($4+22.21) every 10 title '' lc 'black' w l

#replot file1 u 1:(Tpt($5)) every N_dec title 'Temp side - monitor (ch 104)' lc 'blue' w l, file2  u 1:(Tpt($5)) every N_dec title '' lc 'blue' w l, file3 u 1:(Tpt($5)) every N_dec title '' lc 'blue' w l, file4 u 1:(Tpt($5)) every 10 title '' lc 'blue' w l

#replot file1 u 1:(T($6)) every N_dec title 'Control side - monitor (ch 105)' lc 'purple' w l, file2  u 1:(T($6)) every N_dec title '' lc 'purple' w l, file3 u 1:(T($6)) every N_dec title '' lc 'purple' w l, file4 u 1:(T($6)) every 10 title '' lc 'purple' w l


#plot file16 u 1:(Tpt($3)) every 120 title 'Labo (ch 101)' lc 'red' w l, file17 u 1:(Tpt($3)) every 120 title '' lc 'red' w l, file18 u 1:(Tpt($3)) every 120 title '' lc 'red' w l, file19 u 1:(Tpt($3)) every 120 title '' lc 'red' w l, file20 u 1:(Tpt($3)) title '' lc 'red' w l

#replot file16 u 1:($4+22.21) every 120 title 'PD DC Out+22.21 - monitor (ch 103)' lc 'black' w l, file17 u 1:($4+22.21) every 120 title '' lc 'black' w l, file18 u 1:($4+22.21) every 120 title '' lc 'black' w l, file19 u 1:($4+22.21) every 120 title '' lc 'black' w l, file20 u 1:($4+22.21) title '' lc 'black' w l

#replot file16 u 1:(Tpt($5)) every 120 title 'Temp side - monitor (ch 104)' lc 'blue' w l, file17 u 1:(Tpt($5)) every 120 title '' lc 'blue' w l, file18 u 1:(Tpt($5)) every 120 title '' lc 'blue' w l, file19 u 1:(Tpt($5)) every 120 title '' lc 'blue' w l, file20 u 1:(Tpt($5)) title '' lc 'blue' w l

#replot file16 u 1:(T($6)) every 120 title 'Control side - monitor (ch 105)' lc 'purple' w l, file17 u 1:(T($6)) every 120 title '' lc 'purple' w l, file18 u 1:(T($6)) every 120 title '' lc 'purple' w l, file19 u 1:(T($6)) every 120 title '' lc 'purple' w l, file20 u 1:(T($6)) title '' lc 'purple' w l

#plot file1 u 1:(Tpt($3)) title 'Labo (ch 101)' lc 'red' w l, file2 u 1:(Tpt($3)) title '' lc 'red' w l, file3 u 1:(Tpt($3)) title '' lc 'red' w l

#replot file1 u 1:($4+21.41) title 'PD DC Out+21.41 - monitor (ch 103)' lc 'black' w l, file2 u 1:($4+21.41) title '' lc 'black' w l, file3 u 1:($4+21.41) title '' lc 'black' w l

#replot file1 u 1:(Tpt($5)) title 'Temp side - monitor (ch 104)' lc 'blue' w l, file2 u 1:(Tpt($5)) title '' lc 'blue' w l, file3 u 1:(Tpt($5)) title '' lc 'blue' w l

#replot file1 u 1:(T($6)) title 'Control side - monitor (ch 105)' lc 'purple' w l, file2 u 1:(T($6)) title '' lc 'purple' w l, file3 u 1:(T($6)) title '' lc 'purple' w l


#plot file1 u 1:(Tpt($3)) every N_dec title 'Labo (ch 101)' lc 'red' w l, file2 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l, file3 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l, file4 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l, file5 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l, file6 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l, file7 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l, file8 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l, file9 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l, file10 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l, file11 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l, file12 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l, file13 u 1:(Tpt($3)) every N_dec title '' lc 'red' w l

#replot file1 u 1:(Tpt($4)-0.3579+0.7) every N_dec title 'Temp side 1 - monitor (ch 102)' lc 'green' w l, file2 u 1:(Tpt($4)-0.3579+0.7) every N_dec title '' lc 'green' w l, file3 u 1:(Tpt($4)-0.3579+0.7) every N_dec title '' lc 'green' w l, file4 u 1:(Tpt($4)-0.3579+0.7) every N_dec title '' lc 'green' w l, file5 u 1:(Tpt($4)-0.3579+0.7) every N_dec title '' lc 'green' w l, file6 u 1:(Tpt($4)-0.3579+0.7) every N_dec title '' lc 'green' w l, file7 u 1:(Tpt($4)-0.3579+0.7) every N_dec title '' lc 'green' w l, file8 u 1:(Tpt($4)-0.3579+0.7) every N_dec title '' lc 'green' w l, file9 u 1:(Tpt($4)-0.3579+0.7) every N_dec title '' lc 'green' w l, file10 u 1:(Tpt($4)-0.3579+0.7) every N_dec title '' lc 'green' w l, file11 u 1:(Tpt($4)-0.3579+0.7) every N_dec title '' lc 'green' w l, file12 u 1:(Tpt($4)-0.3579+0.7) every N_dec title '' lc 'green' w l, file13 u 1:(Tpt($4)-0.3579+0.7) every N_dec title '' lc 'green' w l

#replot file1 u 1:($5+21.75) every N_dec title 'PD DC Out+21.75 - monitor (ch 103)' lc 'black' w l, file2 u 1:($5+21.75) every N_dec title '' lc 'black' w l, file3 u 1:($5+21.75) every N_dec title '' lc 'black' w l, file4 u 1:($5+21.75) every N_dec title '' lc 'black' w l, file5 u 1:($5+21.75) every N_dec title '' lc 'black' w l, file6 u 1:($5+21.75) every N_dec title '' lc 'black' w l, file7 u 1:($5+21.75) every N_dec title '' lc 'black' w l, file8 u 1:($5+21.75) every N_dec title '' lc 'black' w l, file9 u 1:($5+21.75) every N_dec title '' lc 'black' w l, file10 u 1:($5+21.75) every N_dec title '' lc 'black' w l, file11 u 1:($5+21.75) every N_dec title '' lc 'black' w l, file12 u 1:($5+21.75) every N_dec title '' lc 'black' w l, file13 u 1:($5+21.75) every N_dec title '' lc 'black' w l

#replot file1 u 1:(Tpt($6)-0.2128+0.7) every N_dec title 'Temp side 2 - monitor (ch 104)' lc 'blue' w l, file2 u 1:(Tpt($6)-0.2128+0.7) every N_dec title '' lc 'blue' w l, file3 u 1:(Tpt($6)-0.2128+0.7) every N_dec title '' lc 'blue' w l, file4 u 1:(Tpt($6)-0.2128+0.7) every N_dec title '' lc 'blue' w l, file5 u 1:(Tpt($6)-0.2128+0.7) every N_dec title '' lc 'blue' w l, file6 u 1:(Tpt($6)-0.2128+0.7) every N_dec title '' lc 'blue' w l, file7 u 1:(Tpt($6)-0.2128+0.7) every N_dec title '' lc 'blue' w l, file8 u 1:(Tpt($6)-0.2128+0.7) every N_dec title '' lc 'blue' w l, file9 u 1:(Tpt($6)-0.2128+0.7) every N_dec title '' lc 'blue' w l, file10 u 1:(Tpt($6)-0.2128+0.7) every N_dec title '' lc 'blue' w l, file11 u 1:(Tpt($6)-0.2128+0.7) every N_dec title '' lc 'blue' w l, file12 u 1:(Tpt($6)-0.2128+0.7) every N_dec title '' lc 'blue' w l, file13 u 1:(Tpt($6)-0.2128+0.7) every N_dec title '' lc 'blue' w l

#replot file1 u 1:(T($7)+0.7) every N_dec title 'Control side - monitor (ch 105)' lc 'purple' w l, file2 u 1:(T($7)+0.7) every N_dec title '' lc 'purple' w l, file3 u 1:(T($7)+0.7) every N_dec title '' lc 'purple' w l, file4 u 1:(T($7)+0.7) every N_dec title '' lc 'purple' w l, file5 u 1:(T($7)+0.7) every N_dec title '' lc 'purple' w l, file6 u 1:(T($7)+0.7) every N_dec title '' lc 'purple' w l, file7 u 1:(T($7)+0.7) every N_dec title '' lc 'purple' w l, file8 u 1:(T($7)+0.7) every N_dec title '' lc 'purple' w l, file9 u 1:(T($7)+0.7) every N_dec title '' lc 'purple' w l, file10 u 1:(T($7)+0.7) every N_dec title '' lc 'purple' w l, file11 u 1:(T($7)+0.7) every N_dec title '' lc 'purple' w l, file12 u 1:(T($7)+0.7) every N_dec title '' lc 'purple' w l, file13 u 1:(T($7)+0.7) every N_dec title '' lc 'purple' w l


#plot file16 u 1:(Tpt($3)) every N_dec title 'Labo (ch 101)' lc 'red' w l

#plot file16 u 1:(Tpt($4)-0.3579+0.7) every N_dec title 'Temp side 1 - monitor (ch 102)' lc 'green' w l

#replot file16 u 1:(Tpt($5)-0.2128+0.7) every N_dec title 'Temp side 2 - monitor (ch 104)' lc 'blue' w l

#replot file16 u 1:(T($6)+0.7) every N_dec title 'Control side - monitor (ch 105)' lc 'purple' w l


plot file1 u 1:(T($6)+0.7) every N_dec title 'Control side - monitor (ch 105)' lc 'purple' w l, file2 u 1:(T($6)+0.7) every N_dec title '' lc 'purple' w l, file3 u 1:(T($6)+0.7) every N_dec title '' lc 'purple' w l, file4 u 1:(T($6)+0.7) every N_dec title '' lc 'purple' w l, file5 u 1:(T($6)+0.7) every N_dec title '' lc 'purple' w l, file6 u 1:(T($6)+0.7) every N_dec title '' lc 'purple' w l, file7 u 1:(T($6)+0.7) every N_dec title '' lc 'purple' w l